QGIS-Server generates empty PDF when printing from QWC2
Status: Closed

Priority: Normal

Assignee:

Category: QGIS Server

Affected QGIS version:3.0.3 Regression?: No

Operating System: Debian 9.4 Stretch LXC Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 26865

Description

When sending a getPrint request to qgis-server, no payload is actually generated (PDF file size is 0 bytes, no matter what HTTP method

is used)

Although no error is returned by qgis-server, according to its logfile :

[9077][17:58:09] ******************** New request ***************

[9077][17:58:09] REMOTE_ADDR: 192.168.0.2

[9077][17:58:09] CONTENT_TYPE: application/x-www-form-urlencoded

[9077][17:58:09] HTTP_USER_AGENT: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0

[9077][17:58:09] Warning: error parsing post data as XML: at line 1, column 1: error occurred while parsing element. Assuming

urlencoded query string sent in the post body.

[9077][17:58:09] formatString is: pdf

[9077][17:58:09] DPI:72

[9077][17:58:09] FORMAT:pdf

[9077][17:58:09] LAYERS:infrastructure10

[9077][17:58:09] MAP:/home/qgis/projects/omc/10_qgis_server_projetc.qgs

[9077][17:58:09] MAP0:EXTENT:766175.75,6807662.388265125,766918.25,6808104.611734875

[9077][17:58:09] MAP0:HIGHLIGHT_GEOM:

[9077][17:58:09] MAP0:HIGHLIGHT_LABELBUFFERCOLOR:

[9077][17:58:09] MAP0:HIGHLIGHT_LABELBUFFERSIZE:

[9077][17:58:09] MAP0:HIGHLIGHT_LABELCOLOR:

[9077][17:58:09] MAP0:HIGHLIGHT_LABELSIZE:

[9077][17:58:09] MAP0:HIGHLIGHT_LABELSTRING:

[9077][17:58:09] MAP0:HIGHLIGHT_SYMBOL:

[9077][17:58:09] MAP0:ROTATION:0

[9077][17:58:09] MAP0:SCALE:2500

[9077][17:58:09] OPACITIES:255

[9077][17:58:09] REQUEST:GetPrint

[9077][17:58:09] SERVICE:WMS

[9077][17:58:09] SRS:EPSG:2154

[9077][17:58:09] TEMPLATE:mep

[9077][17:58:09] TRANSPARENT:true

[9077][17:58:09] VERSION:1.3.0

[9077][17:58:09] WMS Request parameters:

[9077][17:58:09]  - SRS : EPSG:2154

[9077][17:58:09]  - LAYERS : infrastructure10

[9077][17:58:09]  - OPACITIES : 255

[9077][17:58:09]  - FORMAT : pdf

[9077][17:58:09]  - TRANSPARENT : true
[9077][17:58:09]  - DPI : 72

[9077][17:58:09]  - TEMPLATE : mep

[9077][17:58:09]  - MAP0

[9077][17:58:09]  - MAP0:SCALE : 2500

[9077][17:58:09]  - MAP0:EXTENT : 766175.75,6807662.388265125,766918.25,6808104.611734875

[9077][17:58:09]  - MAP0:ROTATION : 0

[9077][17:58:09]  - VERSION : 1.3.0

[9077][17:58:09] Request finished in 49 ms

Here are the data sent via POST (MAP value is sent via GET method):

DPI    72

FORMAT    pdf

LAYERS    infrastructure10

map0:extent    766177.417361111,6807638.234722219,766917.417361111,6808128.859722219

map0:HIGHLIGHT_GEOM    

map0:HIGHLIGHT_LABELBUFFERCOLOR    

map0:HIGHLIGHT_LABELBUFFERSIZE    

map0:HIGHLIGHT_LABELCOLOR    

map0:HIGHLIGHT_LABELSIZE    

map0:HIGHLIGHT_LABELSTRING    

map0:HIGHLIGHT_SYMBOL    

map0:rotation    0

map0:scale    2500

OPACITIES    255

REQUEST    GetPrint

SERVICE    WMS

SRS    EPSG:2154

TEMPLATE    mep

TRANSPARENT    true

VERSION    1.3.0

No error/warning spotted elsewhere (syslog, apache2, etc.)

Also, the same project prints Ok using QGIS Desktop v3.0.2-Girona and the very same print template. It's also displayed ok in QWC2.

Any help would be greatly appreciated

History

#1 - 2018-09-12 07:31 AM - Tudor Bărăscu

QWC2 and QGIS Server printing work just fine (at least for me) so if you could attach a test project that would be good so someone can replicate the bug if

it exists.

#2 - 2018-09-27 04:12 PM - Paul Blottiere

- Status changed from Open to Feedback

#3 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback
- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
